
From: Adrian Bunk <bunk@stusta.de>

This patch removes version.h dependencies.

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/scsi/dpt_i2o.c |    7 +++----
 drivers/scsi/dpti.h    |   12 ------------
 2 files changed, 3 insertions(+), 16 deletions(-)

diff -puN drivers/scsi/dpt_i2o.c~drivers-scsi-dpt-remove-versionh-dependencies drivers/scsi/dpt_i2o.c
--- 25/drivers/scsi/dpt_i2o.c~drivers-scsi-dpt-remove-versionh-dependencies	2005-04-26 19:27:52.021818224 -0700
+++ 25-akpm/drivers/scsi/dpt_i2o.c	2005-04-26 19:27:52.028817160 -0700
@@ -34,7 +34,6 @@
 
 #define ADDR32 (0)
 
-#include <linux/version.h>
 #include <linux/module.h>
 
 MODULE_AUTHOR("Deanna Bonds, with _lots_ of help from Mark Salyzyn");
@@ -1807,9 +1806,9 @@ static int adpt_system_info(void __user 
 	memset(&si, 0, sizeof(si));
 
 	si.osType = OS_LINUX;
-	si.osMajorVersion = (u8) (LINUX_VERSION_CODE >> 16);
-	si.osMinorVersion = (u8) (LINUX_VERSION_CODE >> 8 & 0x0ff);
-	si.osRevision =     (u8) (LINUX_VERSION_CODE & 0x0ff);
+	si.osMajorVersion = 0;
+	si.osMinorVersion = 0;
+	si.osRevision = 0;
 	si.busType = SI_PCI_BUS;
 	si.processorFamily = DPTI_sig.dsProcessorFamily;
 
diff -puN drivers/scsi/dpti.h~drivers-scsi-dpt-remove-versionh-dependencies drivers/scsi/dpti.h
--- 25/drivers/scsi/dpti.h~drivers-scsi-dpt-remove-versionh-dependencies	2005-04-26 19:27:52.022818072 -0700
+++ 25-akpm/drivers/scsi/dpti.h	2005-04-26 19:27:52.028817160 -0700
@@ -20,15 +20,7 @@
 #ifndef _DPT_H
 #define _DPT_H
 
-#ifndef LINUX_VERSION_CODE
-#include <linux/version.h>
-#endif
-
-#if LINUX_VERSION_CODE < KERNEL_VERSION(2,4,00)
-#define MAX_TO_IOP_MESSAGES   (210)
-#else
 #define MAX_TO_IOP_MESSAGES   (255)
-#endif
 #define MAX_FROM_IOP_MESSAGES (255)
 
 
@@ -321,10 +313,6 @@ static int adpt_close(struct inode *inod
 static void adpt_delay(int millisec);
 #endif
 
-#if LINUX_VERSION_CODE < KERNEL_VERSION(2,4,0)
-static struct pci_dev* adpt_pci_find_device(uint vendor, struct pci_dev* from);
-#endif
-
 #if defined __ia64__ 
 static void adpt_ia64_info(sysInfo_S* si);
 #endif
_
